Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class DefaultServiceManager

    java.lang.Object
      org.teleal.cling.model.ServiceManager
          org.teleal.cling.model.DefaultServiceManager

    public class DefaultServiceManager

extends ServiceManager

Author:
  Christian Bauer

Field Summary
`protected Class` | `serviceClass`
`protected Object` | `serviceImpl`
`protected ServiceState` | `state`

Constructor Summary
`DefaultServiceManager(Class serviceClass)`

Method Summary
`void` | `executeLocked(Command cmd)`
`Object` | `getImplementation(LocalService service)`
`Class` | `getServiceClass()`
`ServiceState` | `getState()`
`protected Object` | `instantiateImplementation(LocalService service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    protected final ServiceState state

### serviceClass

    protected final Class serviceClass

### serviceImpl

    protected Object serviceImpl

Constructor Detail

### DefaultServiceManager

    public DefaultServiceManager(Class serviceClass)

Method Detail

### getServiceClass

    public Class getServiceClass()

### getState

    public ServiceState getState()

  Specified by:
    `getState` in class `ServiceManager`

### getImplementation

    public Object getImplementation(LocalService service)
                             throws Exception

  Specified by:
    `getImplementation` in class `ServiceManager`
  Throws:
    `Exception`

### instantiateImplementation

    protected Object instantiateImplementation(LocalService service)
                                        throws Exception

  Throws:
    `Exception`

### executeLocked

    public void executeLocked(Command cmd)
                       throws Exception

  Specified by:
    `executeLocked` in class `ServiceManager`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.